commit: 1c51d3a804bc00992f124042c0d37a4ca646797b
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Wed Dec 31 20:51:02 2025 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Wed Dec 31 20:51:02 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1c51d3a8
dev-ruby/chronic: enable ruby40
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
dev-ruby/chronic/chronic-0.10.2-r1.ebuild | 9 ++++++---
1 file changed, 6 insertions(+), 3 deletions(-)
diff --git a/dev-ruby/chronic/chronic-0.10.2-r1.ebuild
b/dev-ruby/chronic/chronic-0.10.2-r1.ebuild
index f0d50aee0d11..a3e401fd94ad 100644
--- a/dev-ruby/chronic/chronic-0.10.2-r1.ebuild
+++ b/dev-ruby/chronic/chronic-0.10.2-r1.ebuild
@@ -1,8 +1,9 @@
-# Copyright 1999-2024 Gentoo Authors
+# Copyright 1999-2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby31 ruby32 ruby33 ruby34"
+
+USE_RUBY="ruby32 ruby33 ruby34 ruby40"
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_EXTRADOC="HISTORY.md README.md"
@@ -24,5 +25,7 @@ ruby_add_bdepend "test? ( >=dev-ruby/minitest-5 )"
all_ruby_prepare() {
sed -i -e '/git ls-files/d' chronic.gemspec || die
- sed -i -e 's/MiniTest/Minitest/' test/helper.rb || die
+ sed -e 's/MiniTest/Minitest/' \
+ -e '1igem "minitest", "~> 5.0"' \
+ -i test/helper.rb || die
}